function CW_Stats_Example_Basic_Sword(weapon, player)
{
	weapon.AddAttribute("fire rate penalty", 0.85, -1)
	weapon.AddAttribute("damage penalty", 2, -1)
	weapon.AddAttribute("critboost on kill", 3, -1)
	weapon.AddAttribute("no crit boost", 1, -1)
	weapon.AddAttribute("crits_become_minicrits", 1, -1)
}

function CW_Stats_GiantDemoknightShield(weapon, player)
{
	if( weapon.ValidateScriptScope() )
	{

		local weaponscope = weapon.GetScriptScope()
		weaponscope["think_democharge"] <- function()	//Our script's name under the weapon scope.
		{
			local buttons = NetProps.GetPropInt(player, "m_nButtons");
			local chargeamount = NetProps.GetPropFloat(player, "m_Shared.m_flChargeMeter");
			//printl("chargeamount: " + chargeamount)
			if ((chargeamount >= 99) && ((buttons & 2048) == 2048))
			{
				player.AddCond(17)
			}
		}
		AddThinkToEnt(weapon, "think_democharge")	//After all that's said an done, this adds the think script to handle 'weapon' after it has been validated.
	}
}
	RegisterCustomWeapon("GiantDemoknight", "sword",
		132,
		Defaults,
		function (table, player) {
			table.worldModel = "models/weapons/c_models/c_claymore/c_claymore.mdl"
			table.viewModel = "models/weapons/c_models/c_claymore/c_claymore.mdl"
			table.slot			= 2;		// The slot the script checks for before deleting and making our new weapon
		},
		CW_Stats_Example_Basic_Sword)


	RegisterCustomWeapon("GiantDemoknightShield", "Chargin' Targe",
		null,
		Defaults,
		function (table, player) {
			table.slot			= 1;		// The slot the script checks for before deleting and making our new weapon
		},
		CW_Stats_GiantDemoknightShield)

