
m_ifunc_capturezone <- Entities.FindByClassname(null,"trigger_look")
m_flCaptureZoneThinkTime <- 0.05
bombmodel <- null
bot_deploy_model <- null;

/*
function Precache()
{
	self.PrecacheScriptSound("MVM.DeployBombSmall");
	self.PrecacheScriptSound("MVM.DeployBombGiant");
}
*/

BombDeployPostSpawn <- function()
{
	EntFireByHandle(m_ifunc_capturezone, "Disable", "", 0.1, null, null); // disable the capturezone we should only enable once the animation is complete
	CaptureZoneThink() //make a fake think so we don't override the main one!
	//BombThink()
}
local currentpoint = null;
local captureresource = 0
local BombFlag = Entities.FindByClassname(null, "item_teamflag")
local capturepointresettime = Time()
/*
function BombThink()
{
	local pPlayer = BombFlag.GetOwner()
	if (pPlayer != null)
	{
		currentpoint = Entities.FindByClassnameNearest("team_control_point", pPlayer.GetOrigin(), 160.0);
		if ((currentpoint != null) && (currentpoint == CPArray[AmountCapped + 1]) && (currentpoint != CPArray[CPArray.len() - 1]))
		{
			if (pPlayer.GetTeam() == 3 && pPlayer.HasItem())
			{
				if (currentpoint.GetTeam() ==  2)
				{
					captureresource++
					capturepointresettime = Time() + 5
				}

				if (captureresource == 80)
				{
					AmountCapped++
					captureresource = 0
					currentpoint.StopSound("Hologram.Move");
					EntFire(currentpoint.GetName(), "setowner", "3", 0, null)
				}
				else if (captureresource == 1)
				{
					currentpoint.EmitSound("Hologram.Start");
				}
				else if (captureresource == 11)
				{
					currentpoint.EmitSound("Hologram.Move");
				}
			}
		}
		else if (Time() > capturepointresettime)
		{
			if (captureresource != 0)
			{
				captureresource--
			}
		}
	}
	else if (currentpoint != null)
	{
		if (Time() > capturepointresettime)
		{
			if (captureresource != 0)
			{
				captureresource--
			}
		}
		currentpoint.StopSound("Hologram.Move");
	}

	EntFireByHandle(self, "RunScriptCode", "BombThink()", 0.1, null, null); // call self to make a fake think!
}
*/
::DeployTimeSmall <- DEPLOYTIME_GENERIC
::AllowDeploy <- true;
local AllowBoom = true;
local cosmeticArray = [];
function CaptureZoneThink()
{
	local pPlayer = null
	local playerzonesizeadjuster = Entities.FindByClassnameWithin(null, "player", m_ifunc_capturezone.GetCenter(), 500.0) // find all players within a radious around the capturezone
	if(playerzonesizeadjuster != null)

	if(playerzonesizeadjuster.IsMiniBoss()){ pPlayer = Entities.FindByClassnameWithin(null, "player", m_ifunc_capturezone.GetCenter(), 128.0)}
	else {pPlayer = Entities.FindByClassnameWithin(null, "player", m_ifunc_capturezone.GetCenter(), 96.0)}

	if(pPlayer != null)
	{
		if (pPlayer.GetTeam() == 3 && pPlayer.HasItem() && (CPArray[CPArray.len() - 2].GetTeam() == 3))
		{
			pPlayer.RemoveCond(130)
			if((pPlayer.GetAbsVelocity().Length() <= 350.0) && !pPlayer.IsInvulnerable() && !pPlayer.IsImmuneToPushback())
			{
				pPlayer.CancelTaunt()
				pPlayer.EndLongTaunt()
				pPlayer.SetForcedTauntCam(1)
				pPlayer.SetDrawEnabled(false)
				PlayerDisable(pPlayer,true)
				for (local wearable = pPlayer.FirstMoveChild(); wearable != null; wearable = wearable.NextMovePeer())
				{
					if (wearable.GetClassname() != "tf_wearable")
						continue;

					cosmeticArray.push(wearable);
					wearable.SetDrawEnabled(false);
				}

				if(AllowDeploy)// since this a constant think it might trigger the deploy again, we only need one!
				{
					AllowDeploy = false;
					BombDeploy(pPlayer);
				}

				if(bot_deploy_model == null)
					return;

				if(bot_deploy_model.GetOwner() == pPlayer)
				{
					if(Time() > DeployTimeSmall)
					{
						if(AllowBoom)
						{
							AllowBoom = false;
							Boom();
						}
					}
				}
			}
			else
			{
				BombDeployStopped(pPlayer);
			}
		}
	}
	else
	{
		local bomb = Entities.FindByClassname(null, "item_teamflag")
		bomb.SetDrawEnabled(true)
	}

	EntFireByHandle(self, "RunScriptCode", "CaptureZoneThink()", m_flCaptureZoneThinkTime, null, null); // call self to make a fake think!
}
function MakePlayerCosmetics(ply,tf_wearable)
{
	local hWearable = Entities.CreateByClassname("prop_dynamic_ornament");
	hWearable.SetSkin(1);
	hWearable.SetAbsOrigin(Vector(0,0,-999));
	hWearable.SetModel(tf_wearable.GetModelName())
	NetProps.SetPropEntity(hWearable, "m_hOwnerEntity", bot_deploy_model);
	NetProps.SetPropString(hWearable, "m_initialOwner", "fakebombmodel");
	Entities.DispatchSpawn(hWearable);	//Spawns ent into world
	EntFireByHandle(hWearable, "setattached", "fakePlayermodel", 0.02, null, null);
}

::BombDeployStopped <- function(player)
{
	DeployTimeSmall = DEPLOYTIME_GENERIC;
	AllowDeploy = true;
	if (NetProps.GetPropEntity(player, "m_Shared.m_nPlayerState") == 0)
	{
		local cosmetic = null; // Assign the "cosmetic" variable to null, will be assigned new values when going over cosmetic items
		while (cosmetic = Entities.FindByClassname(cosmetic, "tf_wearable")); // Goes over every cosmetic item, executing code below
		{
			if (cosmetic.GetOwner() == player) // Checks if the currently iterated cosmetic item's wearer is the !activator
			{
				cosmetic.SetDrawEnabled(true);
				//printl(cosmetic.GetModelName())
			}
		}
	}//m_nPlayerState
	player.SetDrawEnabled(true);
	local bomb = Entities.FindByClassname(null, "item_teamflag");
	bomb.SetDrawEnabled(true);
	PlayerDisable(player, false);
	player.SetForcedTauntCam(0);
	if(bot_deploy_model != null)
	{
		bot_deploy_model.Destroy();
		bot_deploy_model <- null;
		cosmeticArray = [];
	}
}

function BombDeploy( pPlayer = null)
{
	if(pPlayer == null)
		return

	DeployTimeSmall = DeployTimeSmall + Time()
	bot_deploy_model = CreateProp("prop_dynamic", pPlayer.GetOrigin(), "models/player/fracture/bot_"+GetPlayerClassString(pPlayer)+".mdl", 0)
	NetProps.SetPropString(bot_deploy_model, "m_iName", "fakePlayermodel");
	bombmodel = CreateProp("prop_dynamic", Vector(0,0,0), "models/props_td/atom_bomb.mdl", 0)
	NetProps.SetPropString(bombmodel, "m_iName", "fakebombmodel");
	bot_deploy_model.SetAbsAngles(VectorAngles(pPlayer.GetOrigin(),m_ifunc_capturezone.GetCenter()))
	EntFire("fakebombmodel", "SetParent", "fakePlayermodel", 0.1);
	EntFire("fakebombmodel", "SetParentAttachment", "flag", 0.2);
	local bomb = NetProps.GetPropEntity(pPlayer, "m_hItem")
	NetProps.SetPropInt(bomb, "m_nRenderMode", 10);

	PlayDeployAnim(bot_deploy_model)
	for (local i = 0; i < 7; i++)
	{
		bot_deploy_model.SetBodygroup(i,pPlayer.GetBodygroup(i))
	}
	foreach (fakehat in cosmeticArray)
	{
		MakePlayerCosmetics(pPlayer,fakehat)
	}
	bot_deploy_model.SetSkin(1)
	if(pPlayer.IsMiniBoss()){ bot_deploy_model.SetModelScale(1.75, 0.0); bot_deploy_model.EmitSound("MVM.DeployBombGiant"); }
	else{ bot_deploy_model.EmitSound("MVM.DeployBombSmall") }
	bot_deploy_model.SetOwner(pPlayer)

}

function Boom()
{
	local cosmetic = null
	while (cosmetic = Entities.FindByClassname(cosmetic, "tf_wearable")) // Goes over every cosmetic item, executing code below
	{
		cosmetic.SetDrawEnabled(true)
	}
	EntFire("boss_deploy_relay", "trigger", "", 0.0); // call self to make a fake think!
	printl("boom!")
	bot_deploy_model.Destroy()
	bot_deploy_model <- null;
}